PathAction.PathActionType

com.j0h1.contour.serialized

## Enum PathAction.PathActionType

- java.lang.Object
- - java.lang.Enum<PathAction.PathActionType>
  - - com.j0h1.contour.serialized.PathAction.PathActionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PathAction.PathActionType>
  Enclosing interface:
    PathAction

      public static enum PathAction.PathActionType
      extends java.lang.Enum<PathAction.PathActionType>

  Defines the actions that can be performed/stored by the serialized path object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LINE_TO`
    `MOVE_TO`
    `QUAD_TO`
    `TRANSFORM`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PathAction.PathActionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PathAction.PathActionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LINE_TO

          public static final PathAction.PathActionType LINE_TO

    - #### MOVE_TO

          public static final PathAction.PathActionType MOVE_TO

    - #### QUAD_TO

          public static final PathAction.PathActionType QUAD_TO

    - #### TRANSFORM

          public static final PathAction.PathActionType TRANSFORM

  - ### Method Detail

    - #### values

          public static PathAction.PathActionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PathAction.PathActionType c : PathAction.PathActionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PathAction.PathActionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null